Subject: Re: bug#55079: 28.1; kp-decimal not working in vhdl-stutter-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Apr 2022 10:12:10 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 24 Apr 2022 16:17:37 -0400
> 
> > My feeling of a kludge was not about that, it was about the way I make
> > sure that kp-decimal is remapped to '.'.  Do we have some nicer, more
> > general facilities for that?
> 
> Maybe we can use something like
> 
>     (eq (preceding-char)
>         (aref (this-command-keys) 0))

Thanks, this works.

I've installed this change, and I'm closing the bug.